Libreoffice non si avvia

Buongiorno, in previsione di un’imminente migrazione a SSD, ho effettuato una pulizia, rimuovendo un po’ di pacchetti “non più utilizzati”.
Sicuramente ho eliminato qualcosa di indispensabile(dipendenza suppongo), con il risultato che libreoffice non si avvia più

/usr/bin/libreoffice: line 49: sed: command not found /usr/bin/libreoffice: riga 187: /usr/bin/oosplash: File o directory non esistente
cercando in rete ho trovato questo:
https://bugs.archlinux.org/task/58448
in effetti da terminale con /usr/lib/libreoffice/program/soffice, si avvia, ma non risolve il problema

/usr/lib/libreoffice/program/soffice Icon theme "ubuntu-mono-dark" not found. Icon theme "gnome" not found.

Inoltre il comando sudo pacman -Qdtq

[francesco@chakra-pc ~]$ sudo pacman -Qdtq [sudo] password di francesco: acetoneiso2 acpi_call alsa-firmware alsa-oss alsa-utils amarok amule appmenu-qt ark audacity aufs3-util aur2ccr avidemux b43-fwcutter bluedevil bluez-firmware caledonia-look-and-feel calibre calligra cdemu-client chakra-common chakra-signatures chakra-wallpapers-descartes chakra-wallpapers-dharma choqok chromium conky cpupower cups-pdf diffutils digikam divxconverter dkms-8192cu dmidecode dolphin-plugins dragon epson-inkjet-printer-201108w epson-inkjet-printer-escpr epsoneplijs extremetuxracer ffmpegthumbs firefox firefox-i18n-it flashplugin gen-init-cpio gimp grub2-editor grub2-themes-dharma grub2-themes-sirius gstreamer0.10-good-plugins gtk-integration-engine-molecule gwenview hplip iasl iftop imagewriter intel-ucode iputils ipw2100-fw ipw2200-fw iscan isl3887usb-firmware jdownloader k3b kapman kapudan-kde-themes-caledonia kate kcalc kde-baseapps-lib kde-gtk-config kde-kdm-themes-dharma kde-kdm-themes-sirius kde-ksplash-themes-dharma kde-ksplash-themes-sirius kde-l10n-it kde-plasma-themes-helium kde-wallpapers kdeadmin-kuser kdebindings-python2 kdenetwork-filesharing kdenlive kdeplasma-addons kexi kgamma5 kget kgpg kinfocenter kmail kmix knights kontact konversation kpat krfb kscreen ksshaskpass ksystemlog ktorrent kwallet-pam kwrited lib32-flashplugin libcanberra-gstreamer libcanberra-pulse librecad libstdc++5 libudev.so.0 licenses logrotate lsb-release lsof man-db man-pages mlocate mupen64plus nano nbd ndiswrapper-dkms netctl netkit-bsd-finger networkmanager-dispatcher-ntpd networkmanager-openconnect networkmanager-openvpn networkmanager-pptp networkmanager-vpnc nomad-firewall nvidia okular otf-aurulent-sans oxygen oxygen-gtk-icons oxygen-gtk2 oxygen-gtk3 pacman partitionmanager pcmciautils plasma-mediacenter plasma-pa plasma-sdk plasma5-applets-latte-dock pokerth powerdevil python2-v4l2capture python2-xlib qsopcast qtcurve-gtk2 qtcurve-kf5 s-nail scratch scratch2 screenfetch sddm-kcm skypeforlinux sni-qt spectacle squashfs-tools sshfs steam sudo supertux supertuxkart system-config-printer telepathy-gabble telepathy-haze telepathy-idle telepathy-logger telepathy-rakia telepathy-salut terminus-font testdisk tomoyo-tools ttf-indic-fonts ttf-khmer ttf-lklug ttf-ms-fonts unarj undvd unetbootin usb-modeswitch user-manager vi vim virtualbox-ext-oracle which winff wqy-microhei xdelta3 xf86-input-evdev xf86-input-keyboard xf86-input-mouse xf86-video-vesa xorg-fonts-100dpi xorg-fonts-75dpi xorg-fonts-cyrillic xorg-fonts-misc xorg-res-utils xorg-server-utils xorg-xinit xorg-xkb-utils yakuake zd1211-firmware zsnes

Spero si possa risolvere, non vorrei reinstallare da zero

hai provato a reinstallare libreoffice?

Si ho provato, purtroppo nulla di fatto.
Mi preoccupa principalmente il numero eccessivo di pacchetti orfani, in pratica tutto il siestema.
Mah!!!

Nel mio file /usr/bin/libreoffice quella riga non c’è.
Sei sicuro che i tuoi mirror siano a posto e il sistema aggiornato?

Se provi ad installare libreoffice, quale versione viene scaricata?

Infatti ti sconsiglio di eseguire questo tipo di comandi…il rischio di fare danni è importante.

Ciao Franz, ho aggirato il problema, installando ex novo. Possiamo considerare il topic chiuso.
Grazie

This topic was automatically closed 170 days after the last reply. New replies are no longer allowed.